com.fasterxml.jackson.databind.jsonFormatVisitors

## Class JsonStringFormatVisitor.Base

- java.lang.Object
- - com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormatVisitor.Base
  - - com.fasterxml.jackson.databind.jsonFormatVisitors.JsonStringFormatVisitor.Base

- All Implemented Interfaces:
    JsonStringFormatVisitor, JsonValueFormatVisitor
  Enclosing interface:
    JsonStringFormatVisitor

      public static class JsonStringFormatVisitor.Base
      extends JsonValueFormatVisitor.Base
      implements JsonStringFormatVisitor

  Default "empty" implementation, useful as the base to start on; especially as it is guaranteed to implement all the method of the interface, even if new methods are getting added.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonStringFormatVisitor

      `JsonStringFormatVisitor.Base`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonStringFormatVisitor.Base()`

  - ### Method Summary

    - ### Methods inherited from class com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormatVisitor.Base

      `enumTypes, format`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormatVisitor

      `enumTypes, format`

- - ### Constructor Detail

    - #### JsonStringFormatVisitor.Base

          public JsonStringFormatVisitor.Base()